# class Chef::ChefFS::FileSystem::MemoryFile

### Public Class Methods

new(name, parent, value) click to toggle source
Calls superclass method Chef::ChefFS::FileSystem::BaseFSObject.new

    # File lib/chef/chef_fs/file_system/memory_file.rb, line 7
    def initialize(name, parent, value)
      super(name, parent)
      @value = value
    end

### Public Instance Methods

read() click to toggle source

    # File lib/chef/chef_fs/file_system/memory_file.rb, line 11
    def read
      return @value
    end